summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1998-06-04 15:15:08 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1998-06-04 15:15:08 +0000
commit1388d19eeac5fe0ae8d20c744205620c51e5cbe8 (patch)
treebf5609bc41f23977a19d384bc110b4c6be53ec33 /configure
parent70b0d6634de3c04d69f134590627e01f8cd6b955 (diff)
downloadrtems-1388d19eeac5fe0ae8d20c744205620c51e5cbe8.tar.bz2
Regenerated aclocal and configure after cleaning up the check that
a BSP source directory was present to eliminate a chunk of redundant code.
Diffstat (limited to 'configure')
-rw-r--r--configure107
1 files changed, 40 insertions, 67 deletions
diff --git a/configure b/configure
index 37a4470009..390be06401 100644
--- a/configure
+++ b/configure
@@ -2324,47 +2324,23 @@ echo "configure:2285: checking for bsps" >&5
# Is there code where there should be for this BSP?
# The bare bsp is a special case as it is not under the target_cpu path
case $i in
- bare)
- if test -d "$srcdir/c/src/lib/libbsp/$bspdir"; then
- RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
- # make sure the Makefiles in a bsp directory are only done once
- echo $bspdirs | grep $bspdir >/dev/null 2>&1
- if test $? -ne 0 ; then
- bspdirs="$bspdirs $bspdir"
-
-echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$bspdir""... $ac_c" 1>&6
-echo "configure:2337: checking for Makefile.in in c/src/lib/libbsp/$bspdir" >&5
-if test -d $srcdir/c/src/lib/libbsp/$bspdir; then
- rtems_av_save_dir=`pwd`;
- cd $srcdir;
- rtems_av_tmp=`find c/src/lib/libbsp/$bspdir -name "Makefile.in" -print | sed "s/Makefile\.in/%/" | sort | sed "s/%/Makefile/"`
- makefiles="$makefiles $rtems_av_tmp";
- cd $rtems_av_save_dir;
- echo "$ac_t""done" 1>&6
-else
- echo "$ac_t""no" 1>&6
-fi
-
-
- fi
- else
- { echo "configure: error: unable to find libbsp directory ($bspdir) for $i" 1>&2; exit 1; }
- fi
- ;;
- *)
- if test -d "$srcdir/c/src/lib/libbsp/$target_cpu/$bspdir"; then
- RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
- # make sure the Makefiles in a bsp directory are only done once
- echo $bspdirs | grep $bspdir >/dev/null 2>&1
- if test $? -ne 0 ; then
- bspdirs="$bspdirs $bspdir"
-
-echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$bspdir""... $ac_c" 1>&6
-echo "configure:2364: checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$bspdir" >&5
-if test -d $srcdir/c/src/lib/libbsp/$target_cpu/$bspdir; then
+ bare) bspcpudir= ;;
+ *) bspcpudir=$target_cpu ;;
+ esac
+
+ if test -d "$srcdir/c/src/lib/libbsp/$bspcpudir/$bspdir"; then
+ RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
+ # make sure the Makefiles in a bsp directory are only done once
+ echo $bspdirs | grep $bspdir >/dev/null 2>&1
+ if test $? -ne 0 ; then
+ bspdirs="$bspdirs $bspdir"
+
+echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$bspcpudir/$bspdir""... $ac_c" 1>&6
+echo "configure:2340: checking for Makefile.in in c/src/lib/libbsp/$bspcpudir/$bspdir" >&5
+if test -d $srcdir/c/src/lib/libbsp/$bspcpudir/$bspdir; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
- rtems_av_tmp=`find c/src/lib/libbsp/$target_cpu/$bspdir -name "Makefile.in" -print | sed "s/Makefile\.in/%/" | sort | sed "s/%/Makefile/"`
+ rtems_av_tmp=`find c/src/lib/libbsp/$bspcpudir/$bspdir -name "Makefile.in" -print | sed "s/Makefile\.in/%/" | sort | sed "s/%/Makefile/"`
makefiles="$makefiles $rtems_av_tmp";
cd $rtems_av_save_dir;
echo "$ac_t""done" 1>&6
@@ -2373,20 +2349,17 @@ else
fi
- fi
- else
- { echo "configure: error: unable to find libbsp directory ($bspdir) for $i" 1>&2; exit 1; }
- fi
- ;;
- esac
-
+ fi
+ else
+ { echo "configure: error: unable to find libbsp directory ($bspdir) for $i" 1>&2; exit 1; }
+ fi
done
fi
# find all the CPU dependent library Makefiles
echo $ac_n "checking for Makefile.in in c/src/lib/libcpu/$target_cpu""... $ac_c" 1>&6
-echo "configure:2390: checking for Makefile.in in c/src/lib/libcpu/$target_cpu" >&5
+echo "configure:2363: checking for Makefile.in in c/src/lib/libcpu/$target_cpu" >&5
if test -d $srcdir/c/src/lib/libcpu/$target_cpu; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2403,7 +2376,7 @@ fi
if test "$skip_startfiles" != "yes"; then
echo $ac_n "checking for Makefile.in in c/src/lib/start/$target_cpu""... $ac_c" 1>&6
-echo "configure:2407: checking for Makefile.in in c/src/lib/start/$target_cpu" >&5
+echo "configure:2380: checking for Makefile.in in c/src/lib/start/$target_cpu" >&5
if test -d $srcdir/c/src/lib/start/$target_cpu; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2445,7 +2418,7 @@ fi
# If the tests are enabled, then find all the test suite Makefiles
echo $ac_n "checking if the test suites are enabled? ""... $ac_c" 1>&6
-echo "configure:2449: checking if the test suites are enabled? " >&5
+echo "configure:2422: checking if the test suites are enabled? " >&5
tests_enabled=yes
# Check whether --enable-tests or --disable-tests was given.
if test "${enable_tests+set}" = set; then
@@ -2464,7 +2437,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/tests/tools/$target_cpu""... $ac_c" 1>&6
-echo "configure:2468: checking for Makefile.in in c/src/tests/tools/$target_cpu" >&5
+echo "configure:2441: checking for Makefile.in in c/src/tests/tools/$target_cpu" >&5
if test -d $srcdir/c/src/tests/tools/$target_cpu; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2481,7 +2454,7 @@ fi
if test "$tests_enabled" = "yes"; then
echo $ac_n "checking for Makefile.in in c/src/tests/libtests""... $ac_c" 1>&6
-echo "configure:2485: checking for Makefile.in in c/src/tests/libtests" >&5
+echo "configure:2458: checking for Makefile.in in c/src/tests/libtests" >&5
if test -d $srcdir/c/src/tests/libtests; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2496,7 +2469,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/tests/sptests""... $ac_c" 1>&6
-echo "configure:2500: checking for Makefile.in in c/src/tests/sptests" >&5
+echo "configure:2473: checking for Makefile.in in c/src/tests/sptests" >&5
if test -d $srcdir/c/src/tests/sptests; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2511,7 +2484,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/tests/tmtests""... $ac_c" 1>&6
-echo "configure:2515: checking for Makefile.in in c/src/tests/tmtests" >&5
+echo "configure:2488: checking for Makefile.in in c/src/tests/tmtests" >&5
if test -d $srcdir/c/src/tests/tmtests; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2526,7 +2499,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/tests/mptests""... $ac_c" 1>&6
-echo "configure:2530: checking for Makefile.in in c/src/tests/mptests" >&5
+echo "configure:2503: checking for Makefile.in in c/src/tests/mptests" >&5
if test -d $srcdir/c/src/tests/mptests; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2542,7 +2515,7 @@ fi
if test "$RTEMS_HAS_POSIX_API" = "yes"; then
echo $ac_n "checking for Makefile.in in c/src/tests/psxtests""... $ac_c" 1>&6
-echo "configure:2546: checking for Makefile.in in c/src/tests/psxtests" >&5
+echo "configure:2519: checking for Makefile.in in c/src/tests/psxtests" >&5
if test -d $srcdir/c/src/tests/psxtests; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2560,7 +2533,7 @@ fi
# If the HWAPI is enabled, the find the HWAPI Makefiles
echo $ac_n "checking if the HWAPI is enabled? ""... $ac_c" 1>&6
-echo "configure:2564: checking if the HWAPI is enabled? " >&5
+echo "configure:2537: checking if the HWAPI is enabled? " >&5
# Check whether --enable-hwapi or --disable-hwapi was given.
if test "${enable_hwapi+set}" = set; then
enableval="$enable_hwapi"
@@ -2571,7 +2544,7 @@ if test "${enable_hwapi+set}" = set; then
makefiles="$makefiles c/src/lib/libhwapi/Makefile"
echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/analog""... $ac_c" 1>&6
-echo "configure:2575: checking for Makefile.in in c/src/lib/libhwapi/analog" >&5
+echo "configure:2548: checking for Makefile.in in c/src/lib/libhwapi/analog" >&5
if test -d $srcdir/c/src/lib/libhwapi/analog; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2586,7 +2559,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/discrete""... $ac_c" 1>&6
-echo "configure:2590: checking for Makefile.in in c/src/lib/libhwapi/discrete" >&5
+echo "configure:2563: checking for Makefile.in in c/src/lib/libhwapi/discrete" >&5
if test -d $srcdir/c/src/lib/libhwapi/discrete; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2601,7 +2574,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/drivers""... $ac_c" 1>&6
-echo "configure:2605: checking for Makefile.in in c/src/lib/libhwapi/drivers" >&5
+echo "configure:2578: checking for Makefile.in in c/src/lib/libhwapi/drivers" >&5
if test -d $srcdir/c/src/lib/libhwapi/drivers; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2616,7 +2589,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/non_volatile_memory""... $ac_c" 1>&6
-echo "configure:2620: checking for Makefile.in in c/src/lib/libhwapi/non_volatile_memory" >&5
+echo "configure:2593: checking for Makefile.in in c/src/lib/libhwapi/non_volatile_memory" >&5
if test -d $srcdir/c/src/lib/libhwapi/non_volatile_memory; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2631,7 +2604,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/serial""... $ac_c" 1>&6
-echo "configure:2635: checking for Makefile.in in c/src/lib/libhwapi/serial" >&5
+echo "configure:2608: checking for Makefile.in in c/src/lib/libhwapi/serial" >&5
if test -d $srcdir/c/src/lib/libhwapi/serial; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2646,7 +2619,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/support""... $ac_c" 1>&6
-echo "configure:2650: checking for Makefile.in in c/src/lib/libhwapi/support" >&5
+echo "configure:2623: checking for Makefile.in in c/src/lib/libhwapi/support" >&5
if test -d $srcdir/c/src/lib/libhwapi/support; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2661,7 +2634,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/wrapup""... $ac_c" 1>&6
-echo "configure:2665: checking for Makefile.in in c/src/lib/libhwapi/wrapup" >&5
+echo "configure:2638: checking for Makefile.in in c/src/lib/libhwapi/wrapup" >&5
if test -d $srcdir/c/src/lib/libhwapi/wrapup; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2706,7 +2679,7 @@ fi
# pick up all the Makefiles in required parts of the tree
echo $ac_n "checking for Makefile.in in c/build-tools""... $ac_c" 1>&6
-echo "configure:2710: checking for Makefile.in in c/build-tools" >&5
+echo "configure:2683: checking for Makefile.in in c/build-tools" >&5
if test -d $srcdir/c/build-tools; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2721,7 +2694,7 @@ fi
echo $ac_n "checking for Makefile.in in make""... $ac_c" 1>&6
-echo "configure:2725: checking for Makefile.in in make" >&5
+echo "configure:2698: checking for Makefile.in in make" >&5
if test -d $srcdir/make; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2736,7 +2709,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/lib/libmisc""... $ac_c" 1>&6
-echo "configure:2740: checking for Makefile.in in c/src/lib/libmisc" >&5
+echo "configure:2713: checking for Makefile.in in c/src/lib/libmisc" >&5
if test -d $srcdir/c/src/lib/libmisc; then
rtems_av_save_dir=`pwd`;
cd $srcdir;
@@ -2751,7 +2724,7 @@ fi
echo $ac_n "checking for Makefile.in in c/src/tests/samples""... $ac_c" 1>&6
-echo "configure:2755: checking for Makefile.in in c/src/tests/samples" >&5
+echo "configure:2728: checking for Makefile.in in c/src/tests/samples" >&5
if test -d $srcdir/c/src/tests/samples; then
rtems_av_save_dir=`pwd`;
cd $srcdir;